Bug 659003 - Use of uninitialized value in lc at /usr/share/perl5/Mail/DKIM/DkSignature.pm
Summary: Use of uninitialized value in lc at /usr/share/perl5/Mail/DKIM/DkSignature.pm
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Mail-DKIM
Version: 14
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nick Bebout
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-01 19:21 UTC by Andy
Modified: 2010-12-17 08:41 UTC (History)
4 users (show)

Fixed In Version: perl-Mail-DKIM-0.39-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-12 20:03:59 UTC


Attachments (Terms of Use)

Description Andy 2010-12-01 19:21:21 UTC
Description of problem:
When receiving a DKIM or DomainKey signed e-mail the following warnings appear:

Dec  1 21:11:19 home spamd[21204]: Use of uninitialized value in lc at /usr/share/perl5/Mail/DKIM/Signature.pm line 459, <GEN15> line 46.
Dec  1 21:11:19 home spamd[21204]: Use of uninitialized value in lc at /usr/share/perl5/Mail/DKIM/DkSignature.pm line 189, <GEN15> line 46.
Dec  1 21:11:19 home spamd[21204]: dkim: performing public key lookup and signature verification
Dec  1 21:11:19 home spamd[21204]: Use of uninitialized value in lc at /usr/share/perl5/Mail/DKIM/Signature.pm line 459, <GEN15> line 46.
Dec  1 21:11:19 home spamd[21204]: dkim: DKIM, i=@elia.ro, d=elia.ro, s=default, a=rsa-sha256, c=relaxed/relaxed, pass, matches author domain
Dec  1 21:11:19 home spamd[21204]: dkim: DK, i=meg@elia.ro, d=elia.ro, s=dkey, a=rsa-sha1, c=simple, pass, matches author domain
Dec  1 21:11:19 home spamd[21204]: dkim: signature verification result: PASS
Dec  1 21:11:19 home spamd[21204]: dkim: adsp not retrieved, author domain signature is valid
Dec  1 21:11:19 home spamd[21204]: dkim: adsp result: - (valid a. d. signature), author domain 'elia.ro'



Version-Release number of selected component (if applicable):
spamassassin-3.3.2-0.2.svn1027144.fc14.x86_64

How reproducible:


Steps to Reproduce:
It's easy reproducible. On a Fedora 14 system, with the version spamassassin-3.3.2-0.2.svn1027144.fc14.x86_64, when receiving DKIM/DomainKeys signed e-mail, the above scanning warnings appear.
  
Actual results:


Expected results:


Additional info:

Comment 1 Fedora Update System 2010-12-06 03:09:10 UTC
perl-Mail-DKIM-0.39-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/perl-Mail-DKIM-0.39-1.fc13

Comment 2 Fedora Update System 2010-12-06 03:09:18 UTC
perl-Mail-DKIM-0.39-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Mail-DKIM-0.39-1.fc14

Comment 3 Fedora Update System 2010-12-06 20:01:39 UTC
perl-Mail-DKIM-0.39-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Mail-DKIM'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/perl-Mail-DKIM-0.39-1.fc14

Comment 4 Andy 2010-12-08 16:21:10 UTC
Yes, the problem has been solved, the error doesn't appear anymore. Thank you!

Comment 5 Fedora Update System 2010-12-12 20:03:54 UTC
perl-Mail-DKIM-0.39-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2010-12-17 08:41:27 UTC
perl-Mail-DKIM-0.39-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.